SPECS: workcleanup.sh (NEW) - its crude, i use it sometimes

agaran agaran at pld-linux.org
Wed Jul 26 21:35:48 CEST 2006


Author: agaran                       Date: Wed Jul 26 19:35:48 2006 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- its crude, i use it sometimes

---- Files affected:
SPECS:
   workcleanup.sh (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SPECS/workcleanup.sh
diff -u /dev/null SPECS/workcleanup.sh:1.1
--- /dev/null	Wed Jul 26 21:35:48 2006
+++ SPECS/workcleanup.sh	Wed Jul 26 21:35:43 2006
@@ -0,0 +1,28 @@
+#!/bin/sh
+# $Id$
+# Its CRUDE
+# it just builds source rpm then cleans CVS/Entries, nothing more
+
+ARG=$1
+
+if [ ! -e ~/rpm/SPECS/specparser.pl ]; then
+	echo "I cant continue, i need specparser.pl"
+	exit;
+fi
+
+if [ ! -e $1 ]; then
+	echo "$1 dont exist";
+	exit;
+fi
+
+LIST=$(~/rpm/SPECS/specparser.pl --asf $1);
+rpmbuild -bs --rmsource --rmspec --clean $1
+if [ $? == 0 ]; then
+	grep -v "\/$1\/" ~/rpm/SPECS/CVS/Entries > ~/rpm/SPECS/CVS/Entries.new
+	mv -f ~/rpm/SPECS/CVS/Entries{.new,}
+	for i in $LIST; do
+		grep -v "\/$i\/" ~/rpm/SOURCES/CVS/Entries > ~/rpm/SOURCES/CVS/Entries.new
+		# diff ~/rpm/SOURCES/CVS/Entries ~/rpm/SOURCES/CVS/Entries.new
+		mv -f ~/rpm/SOURCES/CVS/Entries{.new,}
+	done
+fi
================================================================


More information about the pld-cvs-commit mailing list